Skip to main content
POST
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
drafts
/
{draft_id}
/
send
Send Draft
curl --request POST \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "add_labels": "<string>",
  "remove_labels": "<string>"
}
'
{
  "message_id": "<string>",
  "thread_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

draft_id
string
required

ID of draft.

Body

application/json
add_labels

Label or labels to add to message.

remove_labels

Label or labels to remove from message.

Response

Response with status 200

message_id
string
required

ID of message.

thread_id
string
required

ID of thread.